Bug 111108 - [CI][BAT] igt@i915_selftest@live_execlists - dmesg-fail - live_suppress_self_preempt failed with error -22
Summary: [CI][BAT] igt@i915_selftest@live_execlists - dmesg-fail - live_suppress_self_...
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: highest normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 111422 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-07-11 12:48 UTC by Martin Peres
Modified: 2019-08-19 07:42 UTC (History)
1 user (show)

See Also:
i915 platform: ICL, SKL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-07-11 12:48:55 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6453/fi-skl-gvtdvm/igt@i915_selftest@live_execlists.html

<3> [513.946851] i915/intel_execlists_live_selftests: live_suppress_self_preempt failed with error -22
Comment 2 Chris Wilson 2019-07-15 09:26:30 UTC
commit 506927ec8bbbdd99261cec4cd28cd0fd54e02218 (HEAD -> drm-intel-next-queued, drm-intel/for-linux-next, drm-intel/drm-intel-next-queued)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jul 12 09:25:49 2019 +0100

    drm/i915/selftests: Ignore self-preemption suppression under gvt
    
    GVT forces single port submission of individual requests. We do not
    enjoy the context amalgamation that the test depends upon for setting up
    the test (where port 0 has a large number of requests with a priority
    change somewhere in the middle). Under single request submission of gvt
    it is quite able for the preemption event to occur while another context
    is active and so there be a real need to act upon that preemption.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111108
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Cc: Zhenyu Wang <zhenyuw@linux.intel.com>
    Acked-by: Zhenyu Wang <zhenyuw@linux.intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190712082549.25053-1-chris@chris-wilson.co.uk
Comment 3 Lakshmi 2019-08-08 08:57:39 UTC
(In reply to Chris Wilson from comment #2)
> commit 506927ec8bbbdd99261cec4cd28cd0fd54e02218 (HEAD ->
> drm-intel-next-queued, drm-intel/for-linux-next,
> drm-intel/drm-intel-next-queued)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Fri Jul 12 09:25:49 2019 +0100
> 
>     drm/i915/selftests: Ignore self-preemption suppression under gvt
>     
>     GVT forces single port submission of individual requests. We do not
>     enjoy the context amalgamation that the test depends upon for setting up
>     the test (where port 0 has a large number of requests with a priority
>     change somewhere in the middle). Under single request submission of gvt
>     it is quite able for the preemption event to occur while another context
>     is active and so there be a real need to act upon that preemption.
>     
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111108
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
>     Cc: Zhenyu Wang <zhenyuw@linux.intel.com>
>     Acked-by: Zhenyu Wang <zhenyuw@linux.intel.com>
>     Link:
> https://patchwork.freedesktop.org/patch/msgid/20190712082549.25053-1-
> chris@chris-wilson.co.uk

This is the lastest failure which happened on CI_DRM_6651 (11 hours, 45 minutes old)
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6651/fi-skl-gvtdvm/igt@i915_selftest@live_execlists.html
Comment 4 CI Bug Log 2019-08-08 08:59:18 UTC
A CI Bug Log filter associated to this bug has been updated:

{- GVT-d: igt@i915_selftest@live_execlists - dmesg-fail - live_suppress_self_preempt failed with error -22 -}
{+ GVT-d fi-icl-y: igt@i915_selftest@live_execlists - dmesg-fail - live_suppress_self_preempt failed with error -22 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6653/fi-icl-y/igt@i915_selftest@live_execlists.html
Comment 5 Lakshmi 2019-08-08 08:59:46 UTC
(In reply to CI Bug Log from comment #4)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- GVT-d: igt@i915_selftest@live_execlists - dmesg-fail -
> live_suppress_self_preempt failed with error -22 -}
> {+ GVT-d fi-icl-y: igt@i915_selftest@live_execlists - dmesg-fail -
> live_suppress_self_preempt failed with error -22 +}
> 
> New failures caught by the filter:
> 
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6653/fi-icl-y/
> igt@i915_selftest@live_execlists.html

Also seen on fi-icl-y.
Comment 6 Chris Wilson 2019-08-12 13:27:57 UTC
Hopefully,

commit acb9488dcad866987406aefc4f8298f2bf971575
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Aug 12 10:10:39 2019 +0100

    drm/i915/selftests: Prevent the timeslice expiring during suppression tests
    
    When testing whether we prevent suppressing preemption, it helps to
    avoid a time slice expiring prematurely.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111108
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190812091045.29587-2-chris@chris-wilson.co.uk
Comment 7 Chris Wilson 2019-08-12 15:48:01 UTC
Nope!
Comment 8 Chris Wilson 2019-08-19 07:42:32 UTC
*** Bug 111422 has been marked as a duplicate of this bug. ***


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.